export default defineEventHandler((event) => {
  const originalUrl = event.node.req.url || "";
  if (originalUrl.startsWith("/product:")) {
    const rewritten = originalUrl.replace("/product:", "/product/");
    event.node.req.url = rewritten;
    event._path = rewritten;
  }
});

